Get summary stats on individual Pools, Operators and Addresses
curl --request GET \
--url https://api.rated.network/v1/eth/entities/{entity_id}/summaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/entities/{entity_id}/summaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/entities/{entity_id}/summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/entities/{entity_id}/summaries?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/entities/{entity_id}/summaries?limit=10&offset=10",
"results": [
[
{
"avgValidatorEffectiveness": 0.07855633469653803,
"clientPercentages": [
{
"client": "Prysm",
"percentage": 0.5
},
{
"client": "Lighthouse",
"percentage": 0.3
}
],
"id": "0xa40dfee99e1c85dc97fdc594b16a460717838703",
"name": "0xa40dfee99e1c85dc97fdc594b16a460717838703",
"networkPenetration": 0.07855633469653803,
"relayerPercentages": [
{
"percentage": 0.5,
"relayer": "no_mev_boost"
},
{
"percentage": 0.3,
"relayer": "bloxroute_regulated"
}
],
"sumEndEpochBalance": 320000000000000000000,
"sumEndEpochEffectiveBalance": 320000000000000000000,
"type": "depositAddress",
"validatorCount": 37361,
"window": "1d"
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Overview
Get summary stats on individual Pools, Operators and Addresses
This endpoint returns summary statistics for a specific pool,operator or withdrawal/deposit address that Rated has pre-materialized views on––commensurate to the output you might see on the Rated Explorer.
GET
/
v1
/
eth
/
entities
/
{entity_id}
/
summaries
Get summary stats on individual Pools, Operators and Addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
The number of results returned per page
The number of results to skip before starting to return
The type of entity class you would like returned
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet The time window of aggregation
Available options:
1d, 7d, 30d, all The filter you want results to be sorted by
The sort order for the results
Available options:
asc, desc